import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ProcedureSourceSchema } from '../enums/ProcedureSource.schema'

const makeSchema = () => z.object({
  set: ProcedureSourceSchema.optional()
}).strict();
export const EnumProcedureSourceFieldUpdateOperationsInputObjectSchema: z.ZodType<Prisma.EnumProcedureSourceFieldUpdateOperationsInput> = makeSchema() as unknown as z.ZodType<Prisma.EnumProcedureSourceFieldUpdateOperationsInput>;
export const EnumProcedureSourceFieldUpdateOperationsInputObjectZodSchema = makeSchema();
